Individual skill
agent-ready-cloudflare
Audit and improve website readiness for AI agents using the Cloudflare "Is It Agent Ready?" scanner (isitagentready.com). Covers scanning via API, interpreting results, generating implementation prompts, and fixing every check. Use when the user mentions "agent ready", "isitagentready", "AI agent scan", "agent readiness", "agent-ready score", "MCP server card", "agent skills index", "markdown for agents", "content signals", "web bot auth", "agent discovery", "RFC 9727", "RFC 8288", "RFC 9728", "SEP-1649", "WebMCP", "ARD", "ai-catalog", "x402", "UCP", "ACP", or wants to make a website discoverable and usable by AI agents.
skills/agent-ready-cloudflare/SKILL.md
Source commit ec4099f92fdeadcf1771c2a3f64efa4970733c89
What was checked
- Matches the observed repository HEAD
- Yes
- Scanner rules are current
- Yes
- Repository scan complete
- No
- Skill scan complete
- No
- Observed behavior
- Network or broad shell
- Last checked
- Nov 11, 2026
These are observations at the recorded commit, not a guarantee of safety. Review the source before running it.
Install this skill
Choose an agent in your Stack or copy a command below. Commands fetch the pinned commit and copy only this skill directory. Existing destinations are refused. Copying a command does not install anything.
An install command is unavailable: current rules, complete repository and skill scans, an eligible behavior level and a permitted license are required.
Repository context
- Repository stars (not skill ratings)
- 133
- Repository last updated
- Nov 1, 2026
- License
- Apache-2.0
Observed agent integration: No specific integration evidence. Standard SKILL.md installation does not imply verified compatibility.
- agentic-ai Repository topic
- agentic-skills Repository topic
- skills Repository topic
- steering Repository topic
- claude-code Repository topic
- claude-skills Repository topic
- codex Repository topic
- codex-skill Repository topic
- codex-skills Repository topic
- hermes-agent Repository topic
- writing Derived category
- security Derived category
Files and excerpt
File metadata and permitted, redacted excerpts come from the recorded scan. Source links are pinned to that commit.
Browse files
Read excerpt
# Agent Ready — Cloudflare Scanner
Audit any website for AI agent readiness, generate actionable fix prompts, and
implement improvements to increase the agent-ready score.
---
## 0. Operational Flow
Follow this flow every time this skill is activated:
### Step 1 — Get the domain
If the user did not provide a domain, ask: